ruby2.6-rubygem-orm_adapter-0.5.0-4.11.x86_64.rpm


Advertisement

Description

ruby2.6-rubygem-orm_adapter - orm_adapter provides a single point of entry for using basic

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-orm_adapter-0.5.0-4.11.x86_64.rpm
Package name ruby2.6-rubygem-orm_adapter
Package version 0.5.0
Package release 4.11
Package architecture x86_64
Package type rpm
Category Development/Languages/Ruby
Homepage http://github.com/ianwhite/orm_adapter
License MIT
Maintainer -
Download size 30.73 KB
Installed size 39.28 KB
Provides a single point of entry for using basic features of ruby ORMs.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-orm_adapter-0.5.0-4.11.i586.rpm 0.5.0 i586 openSUSE Oss
ruby2.6-rubygem-orm_adapter - - -

Requires

Name Value
ruby(abi) = 2.6.0

Provides

Name Value
ruby2.6-rubygem-orm_adapter = 0.5.0-4.11
ruby2.6-rubygem-orm_adapter(x86-64) = 0.5.0-4.11
rubygem(orm_adapter) = 0.5.0
rubygem(ruby:2.6.0:orm_adapter) = 0.5.0
rubygem(ruby:2.6.0:orm_adapter:0) = 0.5.0
rubygem(ruby:2.6.0:orm_adapter:0.5) = 0.5.0
rubygem(ruby:2.6.0:orm_adapter:0.5.0) = 0.5.0

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-orm_adapter-0.5.0-4.11.x86_64.rpm
Source Package rubygem-orm_adapter-0.5.0-4.11.src.rpm

Install Howto

Install ruby2.6-rubygem-orm_adapter rpm package:

# zypper install ruby2.6-rubygem-orm_adapter

Files

Path
/usr/lib64/ruby/gems/2.6.0/cache/orm_adapter-0.5.0.gem
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/.gitignore
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/.rspec
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/.travis.yml
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/Gemfile
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/History.txt
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/LICENSE
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/README.rdoc
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/Rakefile
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/orm_adapter.gemspec
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/gemfiles/activerecord-4.gemfile
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter.rb
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter/base.rb
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter/to_adapter.rb
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter/version.rb
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter/adapters/active_record.rb
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter/adapters/data_mapper.rb
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter/adapters/mongo_mapper.rb
/usr/lib64/ruby/gems/2.6.0/gems/orm_adapter-0.5.0/lib/orm_adapter/adapters/mongoid.rb
/usr/lib64/ruby/gems/2.6.0/specifications/orm_adapter-0.5.0.gemspec
/usr/share/doc/packages/ruby2.6-rubygem-orm_adapter/History.txt
/usr/share/doc/packages/ruby2.6-rubygem-orm_adapter/LICENSE
/usr/share/doc/packages/ruby2.6-rubygem-orm_adapter/README.rdoc

Changelog

2016-07-11 - coolo@suse.com
- adapt to new template
2013-11-22 - coolo@suse.com
- updated to version 0.5.0
* Only send relation modifiers to ActiveRecord if they apply (don't send #order, #limit, #offset unless specified)
Fixes plataformatec/devise#2711, ianwhite/orm_adapter#22
* Adds activerecord 4 to the test suite
2012-07-29 - coolo@suse.com
- v0.4.0
* Adds :limit, and :offset options to #find_all
- v0.3.0
* Removes OrmAdapter::Base.model_classes and friends.
* Add note about the scope of ORM Adapter re: model instance methods
- v0.2.0
* Normalise :id in find conditions
* Allow find_first and find_all to take no arguments
- v0.1.0
* Add #destroy(object) to the API
2012-05-31 - lslezak@suse.cz
- updated to 0.0.7:
* Lazy load Active Record
2012-01-31 - lslezak@suse.cz
- initial version
- 0.0.6

See Also

Package Description
ruby2.6-rubygem-orm_adapter-doc-0.5.0-4.11.i586.rpm RDoc documentation for orm_adapter
ruby2.6-rubygem-orm_adapter-doc-0.5.0-4.11.x86_64.rpm RDoc documentation for orm_adapter
ruby2.6-rubygem-orm_adapter-testsuite-0.5.0-4.11.i586.rpm Test suite for orm_adapter
ruby2.6-rubygem-orm_adapter-testsuite-0.5.0-4.11.x86_64.rpm Test suite for orm_adapter
ruby2.6-rubygem-owncloud-admin-0.0.3-11.14.i586.rpm ownCloud administration
ruby2.6-rubygem-owncloud-admin-0.0.3-11.14.x86_64.rpm ownCloud administration
ruby2.6-rubygem-owncloud-admin-doc-0.0.3-11.14.i586.rpm RDoc documentation for owncloud-admin
ruby2.6-rubygem-owncloud-admin-doc-0.0.3-11.14.x86_64.rpm RDoc documentation for owncloud-admin
ruby2.6-rubygem-packaging_rake_tasks-1.4.5-1.3.i586.rpm Rake tasks providing tasks to package project in git and integration
ruby2.6-rubygem-packaging_rake_tasks-1.4.5-1.3.x86_64.rpm Rake tasks providing tasks to package project in git and integration
ruby2.6-rubygem-packaging_rake_tasks-doc-1.4.5-1.3.i586.rpm RDoc documentation for packaging_rake_tasks
ruby2.6-rubygem-packaging_rake_tasks-doc-1.4.5-1.3.x86_64.rpm RDoc documentation for packaging_rake_tasks
ruby2.6-rubygem-paint-2.0.3-1.1.i586.rpm Terminal painter!
ruby2.6-rubygem-paint-2.0.3-1.1.x86_64.rpm Terminal painter!
ruby2.6-rubygem-paint-doc-2.0.3-1.1.i586.rpm RDoc documentation for paint
Advertisement
Advertisement